package com.inspect.maintain.mapper;

import com.inspect.base.core.domain.maintain.MaintainRegion;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface MaintainRegionMapper {
    MaintainRegion selectMaintainRegionByLineId(Long id);

    List<MaintainRegion> selectMaintainRegionList(MaintainRegion region);

    int insertMaintainRegion(MaintainRegion region);

    int updateMaintainRegion(MaintainRegion region);

    int deleteMaintainRegionByLineId(Long id);

    int deleteMaintainRegionByLineIds(Long[] ids);

    MaintainRegion checkConfigCodeUnique(String configCode);
}
